Class DbxUserRivieraRequests

java.lang.Object
com.dropbox.core.v2.riviera.DbxUserRivieraRequests

public class DbxUserRivieraRequests extends Object
Routes in namespace "riviera".
  • Constructor Details

    • DbxUserRivieraRequests

      public DbxUserRivieraRequests(DbxRawClientV2 client)
  • Method Details

    • getMarkdownAsync

      public LaunchResultBase getMarkdownAsync() throws DbxApiException, DbxException
      Asynchronous document-to-markdown conversion for supported file formats.

      The default values for the optional request parameters will be used. See DbxUserGetMarkdownAsyncBuilder for more details.

      Returns:
      Result returned by methods that launch an asynchronous job. A method who may either launch an asynchronous job, or complete the request synchronously, can use this union by extending it, and adding a 'complete' field with the type of the synchronous response. See LaunchEmptyResult for an example.
      Throws:
      DbxApiException
      DbxException
    • getMarkdownAsyncBuilder

      public DbxUserGetMarkdownAsyncBuilder getMarkdownAsyncBuilder()
      Asynchronous document-to-markdown conversion for supported file formats.
      Returns:
      Request builder for configuring request parameters and completing the request.
    • getMarkdownAsyncCheck

      public GetMarkdownAsyncCheckResult getMarkdownAsyncCheck(String asyncJobId) throws PollErrorException, DbxException
      Returns the status or result of specified get_markdown_async task.
      Parameters:
      asyncJobId - Id of the asynchronous job. This is the value of a response returned from the method that launched the job. Must have length of at least 1 and not be null.
      Returns:
      Result type for EventBus async check
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      PollErrorException
      DbxException
    • getTranscriptAsync

      public LaunchResultBase getTranscriptAsync() throws DbxApiException, DbxException
      Asynchronous transcript generation for audio and video files.

      The default values for the optional request parameters will be used. See DbxUserGetTranscriptAsyncBuilder for more details.

      Returns:
      Result returned by methods that launch an asynchronous job. A method who may either launch an asynchronous job, or complete the request synchronously, can use this union by extending it, and adding a 'complete' field with the type of the synchronous response. See LaunchEmptyResult for an example.
      Throws:
      DbxApiException
      DbxException
    • getTranscriptAsyncBuilder

      public DbxUserGetTranscriptAsyncBuilder getTranscriptAsyncBuilder()
      Asynchronous transcript generation for audio and video files.
      Returns:
      Request builder for configuring request parameters and completing the request.
    • getTranscriptAsyncCheck

      public GetTranscriptAsyncCheckResult getTranscriptAsyncCheck(String asyncJobId) throws PollErrorException, DbxException
      Returns the status or result of specified get_transcript_async task.
      Parameters:
      asyncJobId - Id of the asynchronous job. This is the value of a response returned from the method that launched the job. Must have length of at least 1 and not be null.
      Returns:
      Result type for EventBus async check - must end in "CheckResult"
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
      PollErrorException
      DbxException